Home · Examples 


Compiler Notes

Information about the C++ compilers and tools used to build Qt. This page contains information about the C++ compilers and tools used to build Qt on various platforms.

Please refer to the Platform Notes for information on the platforms Qt is currently known to run on.

If you have anything to add to this list or any of the platform or compiler-specific pages, please submit it via the Bug Report Form.

GCC

GCC on Windows (MinGW)

We have tested Qt with this compiler on Windows 2000 and Windows XP. The minimal version of MinGW supported is:

gcc 4.0.0

The released package of the compiler has some bugs that lead to miscompilations. We recommend using gcc 4.0.1 or later, or to use a recent CVS snapshot of the gcc 4.0 branch. The version of gcc 4.0.0 that is shipped with Mac OS X 10.4 "Tiger" is known to work with Qt for Mac OS X.

HP-UX

The hpux-g++ platform is tested with gcc 3.4.3.

Solaris

Please use gcc 3.3.0 or better.

Mac OS X

Please use the latest gcc 3.3 from Apple or better. The gcc 3.3 that is provided with Xcode 1.5 is known to generate bad code, use the November 2004 GCC 3.3 updater available from Apple.

gcc (GCC) 3.4.6 (Debian 3.4.6-5) on AMD64 (x86_64)

This compiler is known to miscompile some parts of Qt when doing a release build. There are several workarounds:
  1. Use a debug build instead.
  2. For each miscompilation encountered, recompile the file, removing the -O2 option.
  3. Add -fno-gcse to the QMAKE_CXXFLAGS_RELEASE.

HP ANSI C++ (aCC)

The hpux-acc-32 and hpux-acc-64 platforms are tested with aCC A.03.57. The hpuxi-acc-32 and hpuxi-acc-64 platforms are tested with aCC A.06.12.

Intel C++ Compiler

Intel C++ Compiler for Linux

Nokia currently tests the following compilers: We do not currently test the IA-64 (Itanium) compiler.

Known Issues with Intel C++ Compiler for Linux

Intel C++ Compiler (Windows, Altix)

Qt 4 has been tested successfully with: We currently only test the Intel compiler on 32-bit Windows versions.

MIPSpro (IRIX)

IRIX is an unsupported platform. See the
Supported Platforms page and Qt's Software's online Platform Support Policy page for details.

Qt 4.4.x requires MIPSpro version 7.4.2m.

Note that MIPSpro version 7.4.4m is currently not supported, since it has introduced a number of problems that have not yet been resolved. We recommend using 7.4.2m for Qt development.

Forte Developer / Sun Studio (Solaris)

Sun Studio

Qt is tested using Sun Studio 9 and Sun Studio 10. Go to Sun's website to download the latest patches for your Sun compiler.

Sun WorkShop 5.0

Sun WorkShop 5.0 is not supported with Qt 4.

Visual Studio (Windows)

We do most of our Windows development on Windows XP, using Microsoft Visual Studio .NET 2005 and Visual Studio 2008 (both the 32- and 64-bit versions).

Qt works with the Standard Edition, the Professional Edition and Team System Edition of Visual Studio 2005.

We also test Qt 4 on Windows 2000, Windows XP and Windows Vista with Visual Studio .NET and Visual Studio 2003.

In order to use Qt with the Visual Studio 2005/2008 Express Edition you need to download and install the platform SDK. Due to limitations in the Express Edition it is not possible for us to install the Qt Visual Studio Integration. You will need to use our command line tools to build Qt applications with this edition.

The Visual C++ Linker doesn't understand filenames with spaces (as in C:\Program files\Qt\) so you will have to move it to another place, or explicitly set the path yourself; for example:

QTDIR=C:\Progra~1\Qt
If you are experiencing strange problems with using special flags that modify the alignment of structure and union members (such as /Zp2) then you will need to recompile Qt with the flags set for the application as well.

If you're using Visual Studio .NET (2002) Standard Edition, you should be using the Qt binary package provided, and not the source package. As the Standard Edition does not optimize compiled code, your compiled version of Qt would perform suboptimally with respect to speed.

With Visual Studio 2005 Service Pack 1 a bug was introduced which causes Qt not to compile, this has been fixed with a hotfix available from Microsoft. See this Knowledge Base entry for more information.

IBM xlC (AIX)

The makeC++SharedLib utility must be in your PATH and be up to date to build shared libraries. From IBM's C and C++ Application Development on AIX Redbook:

VisualAge C++ for AIX, Version 6.0

Make sure you have the latest upgrades installed.


Copyright © 2009 Nokia Corporation and/or its subsidiary(-ies) Trademarks
Qt Jambi 4.5.2_01